const char* MonoColorCurveFragmentShader = STRINGIFY(
varying mediump vec2 textureCoordinate;
precision mediump float;

uniform float width;
uniform float height;
uniform sampler2D videoFrame;
uniform sampler2D curveTex;

void main()
{	
	lowp vec3 inputColor = texture2D(videoFrame, textureCoordinate).xyz;
	lowp vec3 grayXfer = vec3(0.3, 0.59, 0.11);
	lowp float gray = dot(grayXfer, inputColor);
	lowp vec4 colorOut = texture2D(curveTex, vec2(gray, 0.0));
	gl_FragColor = vec4(colorOut.xyz, 1.0);
}
);